<div class="form-horizontal">

    <div class="form-group">
        <label for="language" class="col-sm-3 control-label">{{'preferences.Language' | translate}} </label>
        <div class="col-sm-4">
            <select id="language" [(ngModel)]="configurations.language" #languageSelector="bootstrap-select" bootstrapSelect class="selectpicker form-control">
                <option data-subtext="(Default)" value="en">{{'preferences.English' | translate}}</option>
            </select>
        </div>
        <div class="col-sm-5">
            <p class="form-control-static text-muted small">{{'preferences.LanguageHint' | translate}}</p>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <hr class="separator-hr" />
        </div>
    </div>

    <div class="form-group">
        <label for="defaultTheme" class="col-sm-3 control-label">{{'preferences.Theme' | translate}} </label>
        <div *ngIf="themeSelectorToggle" class="col-sm-4">
            <select id="defaultTheme" [(ngModel)]="configurations.theme" bootstrapSelect class="selectpicker form-control">
                <option attr.data-content="{{'preferences.DefaultColor' | translate}}">Default</option>
                <option attr.data-content="{{'preferences.RedColor' | translate}}">Red</option>
                <option attr.data-content="{{'preferences.OrangeColor' | translate}}">Orange</option>
                <option attr.data-content="{{'preferences.GreenColor' | translate}}">Green</option>
                <option attr.data-content="{{'preferences.GrayColor' | translate}}">Gray</option>
                <option attr.data-content="{{'preferences.BlackColor' | translate}}">Black</option>
            </select>
        </div>
        <div class="col-sm-5">
            <p class="form-control-static text-muted small">{{'preferences.ThemeHint' | translate}}</p>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <hr class="separator-hr" />
        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <hr class="subseparator-hr" />
        </div>
    </div>

    <!--  -->

    <div class="row">
        <div class="col-md-12">
            <hr class="subseparator-hr" />
        </div>
    </div>

    <!--  -->

    <div class="row">
        <div class="col-md-12">
            <hr class="last-separator-hr" />
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-3">

        </div>
        <div class="col-sm-9">
            <div class="row pull-left">
                <div class="col-sm-6 col-set-default">
                    <button type="button" (click)="setAsDefault()" class="btn btn-primary">
                        <i class='fa fa-hdd-o'></i> {{'preferences.SetDefault' | translate}}
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
